Loading...
Searching...
No Matches
am7xxx_device_info Struct Reference

A struct describing device specific properties. More...

`#include <am7xxx.h>`

## Data Fields

unsigned int | native_width
| The device native width.
unsigned int | native_height
| The device native height.

## Detailed Description

A struct describing device specific properties.

A user program may want to inspect these before providing data to the device. For instance, when sending an image the user may want to rescale it to the device native width and height in order to be sure the image will be displayed in its entirety.

Examples
  examples/picoproj.c.

Definition at line 56 of file am7xxx.h.

## Field Documentation

## native_height

unsigned int am7xxx_device_info::native_height

The device native height.

Examples
  examples/picoproj.c.

Definition at line 58 of file am7xxx.h.

## native_width

unsigned int am7xxx_device_info::native_width

The device native width.

Examples
  examples/picoproj.c.

Definition at line 57 of file am7xxx.h.

The documentation for this struct was generated from the following file:

- src/am7xxx.h